package com.fjhx.mes.service.report;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.report.dto.ReportLossesDetailsDto;
import com.fjhx.mes.entity.report.dto.ReportLossesDetailsSelectDto;
import com.fjhx.mes.entity.report.po.ReportLossesDetails;
import com.fjhx.mes.entity.report.vo.ReportLossesDetailsVo;
import com.ruoyi.common.core.service.BaseService;

/**
 * <p>
 * 报损管理 服务类
 * </p>
 *
 * @author
 * @since 2024-01-26
 */
public interface ReportLossesDetailsService extends BaseService<ReportLossesDetails> {

    /**
     * 报损管理分页
     */
    Page<ReportLossesDetailsVo> getPage(ReportLossesDetailsSelectDto dto);

    /**
     * 报损管理明细
     */
    ReportLossesDetailsVo detail(Long id);

    /**
     * 报损管理新增
     */
    void add(ReportLossesDetailsDto reportLossesDetailsDto);

    /**
     * 报损管理编辑
     */
    void edit(ReportLossesDetailsDto reportLossesDetailsDto);

    /**
     * 报损管理删除
     */
    void delete(Long id);

    /**
     * 近n天报损统计
     */
    JSONObject lossesStatistics(ReportLossesDetailsSelectDto dto);
}
